@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");

body {
  padding: 0;
  box-sizing: border-box;
  font-family: "Roboto", sans-serif;
}

.wrapper, .card-container {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}

.card-container {
  margin: 50px 0 auto;
  gap: 50px;
}

.card, .card__information, .card__information-text {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.card, .card__information {
  gap: 20px;
}

.card {
  border: solid 1px #EF4934;
  border-radius: 20px;
  width: 100%;
  max-width: 276px;
  padding: 10px 0;
  transition: all 250ms ease-in-out;
}

.card:hover {
  scale: 1.1;
  box-shadow: 0 0 32px -5px rgba(150,150,150,1);
}

.card__img {
  width: 256px;
  max-height: 143px;
  border-radius: 12px;
}

.card__social, .social__link {
  display: flex;
  gap: 20px;
}

.card__social-img {
  width: 100%;
  max-width: 30px;
}

.card__title {
  font-weight: 500;
  font-size: 24px;
  line-height: 32px;
}

.card__text {
  font-size: 16px;
  font-style: italic;
  font-weight: 400;
  color: #A0A0A0
}

.card__btn-button {
  border-radius: 60px;
  background-color: #EF4934;
  color: #FFF;
  border: solid 1px #FFF;
  font-size: 24px;
  font-weight: 400;
  letter-spacing: 4px;
  padding: 16px 66px;
  transition: all 500ms ease-out;
}

.card__btn-button:hover {
  background-color: #FFF;
  color: #EF4934;
  border: solid 1px #EF4934;
}

.card__overlay {
  background-color: #FFF;
  opacity: 0;
  position: absolute;
  width: 100%;
  max-width: 256px;
  height: 100%;
  max-height: 255px;
  border-radius: 10px;
  transition: all 500ms ease-out;
  display: flex;
  justify-content: center;
  align-items: center;
}

.card__overlay:hover {
  opacity: .95;
}

.card__overlay-text {
  font-weight: 500;
  font-size: 16px;
  line-height: 32px;
  text-align: center;
  transition: inherit;
}

.social__img {
  width: 30px;
  height: 30px;
  transition: all 500ms ease-out;
}

.social__img-github {
  background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' fill='none'%3e%3cpath fill='%23000' d='M15 2.5A12.5 12.5 0 0 0 2.5 15c0 5.525 3.588 10.212 8.55 11.875.625.1.825-.288.825-.625v-2.113c-3.463.75-4.2-1.675-4.2-1.675-.575-1.45-1.388-1.837-1.388-1.837-1.137-.775.088-.75.088-.75 1.25.087 1.912 1.288 1.912 1.288 1.088 1.9 2.925 1.337 3.638 1.037.112-.813.438-1.363.787-1.675-2.774-.313-5.687-1.387-5.687-6.15 0-1.387.475-2.5 1.287-3.387-.124-.313-.562-1.613.126-3.3 0 0 1.05-.338 3.437 1.275A11.778 11.778 0 0 1 15 8.55c1.063 0 2.137.137 3.125.412 2.387-1.612 3.438-1.274 3.438-1.274.687 1.687.25 2.987.125 3.3.812.887 1.287 2 1.287 3.387 0 4.775-2.925 5.825-5.713 6.137.45.388.863 1.15.863 2.313v3.425c0 .337.2.738.837.625C23.925 25.2 27.5 20.525 27.5 15A12.5 12.5 0 0 0 15 2.5Z'/%3e%3c/svg%3e");
}

.social__img-github:hover {
  background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' fill='none'%3e%3cpath fill='%23EF4934' d='M15 2.5A12.5 12.5 0 0 0 2.5 15c0 5.525 3.588 10.212 8.55 11.875.625.1.825-.288.825-.625v-2.113c-3.463.75-4.2-1.675-4.2-1.675-.575-1.45-1.388-1.837-1.388-1.837-1.137-.775.088-.75.088-.75 1.25.087 1.912 1.288 1.912 1.288 1.088 1.9 2.925 1.337 3.638 1.037.112-.813.438-1.363.787-1.675-2.774-.313-5.687-1.387-5.687-6.15 0-1.387.475-2.5 1.287-3.387-.124-.313-.562-1.613.126-3.3 0 0 1.05-.338 3.437 1.275A11.778 11.778 0 0 1 15 8.55c1.063 0 2.137.137 3.125.412 2.387-1.612 3.438-1.274 3.438-1.274.687 1.687.25 2.987.125 3.3.812.887 1.287 2 1.287 3.387 0 4.775-2.925 5.825-5.713 6.137.45.388.863 1.15.863 2.313v3.425c0 .337.2.738.837.625C23.925 25.2 27.5 20.525 27.5 15A12.5 12.5 0 0 0 15 2.5Z'/%3e%3c/svg%3e");
}

.social__img-telegram {
  background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' fill='none'%3e%3cpath fill='%23000' d='M15 2.5C8.1 2.5 2.5 8.1 2.5 15S8.1 27.5 15 27.5 27.5 21.9 27.5 15 21.9 2.5 15 2.5Zm5.8 8.5c-.188 1.975-1 6.775-1.413 8.988-.175.937-.524 1.25-.85 1.287-.724.063-1.274-.475-1.974-.938-1.1-.724-1.725-1.174-2.788-1.875-1.238-.812-.438-1.262.275-1.987.188-.188 3.387-3.1 3.45-3.363a.25.25 0 0 0-.063-.225c-.075-.062-.175-.037-.262-.024-.113.024-1.863 1.187-5.275 3.487-.5.337-.95.512-1.35.5-.45-.013-1.3-.25-1.938-.463-.787-.25-1.4-.387-1.35-.825.026-.224.338-.45.926-.687 3.65-1.588 6.074-2.637 7.287-3.137 3.475-1.45 4.188-1.7 4.662-1.7.1 0 .338.024.488.15.125.1.163.237.175.337-.012.075.012.3 0 .475Z'/%3e%3c/svg%3e");
}

.social__img-telegram:hover {
  background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' fill='none'%3e%3cpath fill='%23EF4934' d='M15 2.5C8.1 2.5 2.5 8.1 2.5 15S8.1 27.5 15 27.5 27.5 21.9 27.5 15 21.9 2.5 15 2.5Zm5.8 8.5c-.188 1.975-1 6.775-1.413 8.988-.175.937-.524 1.25-.85 1.287-.724.063-1.274-.475-1.974-.938-1.1-.724-1.725-1.174-2.788-1.875-1.238-.812-.438-1.262.275-1.987.188-.188 3.387-3.1 3.45-3.363a.25.25 0 0 0-.063-.225c-.075-.062-.175-.037-.262-.024-.113.024-1.863 1.187-5.275 3.487-.5.337-.95.512-1.35.5-.45-.013-1.3-.25-1.938-.463-.787-.25-1.4-.387-1.35-.825.026-.224.338-.45.926-.687 3.65-1.588 6.074-2.637 7.287-3.137 3.475-1.45 4.188-1.7 4.662-1.7.1 0 .338.024.488.15.125.1.163.237.175.337-.012.075.012.3 0 .475Z'/%3e%3c/svg%3e");
}

.social__img-gmail {
  background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' fill='none'%3e%3cpath fill='%23000' d='M25 22.5h-2.5V11.562L15 16.25l-7.5-4.688V22.5H5v-15h1.5l8.5 5.313L23.5 7.5H25M25 5H5a2.491 2.491 0 0 0-2.5 2.5v15A2.5 2.5 0 0 0 5 25h20a2.5 2.5 0 0 0 2.5-2.5v-15A2.5 2.5 0 0 0 25 5Z'/%3e%3c/svg%3e");
}


.social__img-gmail:hover {
  background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' fill='none'%3e%3cpath fill='%23EF4934' d='M25 22.5h-2.5V11.562L15 16.25l-7.5-4.688V22.5H5v-15h1.5l8.5 5.313L23.5 7.5H25M25 5H5a2.491 2.491 0 0 0-2.5 2.5v15A2.5 2.5 0 0 0 5 25h20a2.5 2.5 0 0 0 2.5-2.5v-15A2.5 2.5 0 0 0 25 5Z'/%3e%3c/svg%3e");
}

.social__img-instagram {
  background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' fill='none'%3e%3cpath fill='%23000' d='M16.285 2.5c1.406.004 2.12.011 2.736.029l.243.009c.28.01.556.022.89.037 1.33.063 2.237.272 3.034.581.825.318 1.52.748 2.215 1.442a6.135 6.135 0 0 1 1.44 2.215c.31.796.52 1.703.582 3.035.015.332.027.608.037.89l.008.242c.019.615.026 1.329.029 2.735l.001.933v1.637c.003.912-.006 1.823-.029 2.735l-.007.242c-.01.282-.023.558-.038.89-.062 1.332-.275 2.238-.582 3.035a6.104 6.104 0 0 1-1.442 2.215 6.145 6.145 0 0 1-2.215 1.442c-.796.308-1.703.518-3.033.581-.297.014-.593.026-.89.037l-.243.008c-.616.018-1.33.026-2.736.029l-.933.001h-1.636a97.88 97.88 0 0 1-2.736-.029l-.242-.007a80.145 80.145 0 0 1-.89-.039c-1.33-.063-2.238-.273-3.036-.581A6.111 6.111 0 0 1 4.6 25.402a6.13 6.13 0 0 1-1.443-2.215c-.309-.796-.519-1.703-.581-3.035a92.43 92.43 0 0 1-.038-.89l-.006-.242a98.799 98.799 0 0 1-.031-2.735v-2.57c-.003-.912.006-1.823.027-2.735l.01-.242c.01-.282.022-.558.037-.89.062-1.332.272-2.238.581-3.036A6.1 6.1 0 0 1 4.6 4.598a6.121 6.121 0 0 1 2.212-1.44c.798-.31 1.704-.52 3.035-.582.333-.015.61-.028.89-.038l.243-.007a98.758 98.758 0 0 1 2.735-.029l2.57-.001ZM15 8.75a6.25 6.25 0 1 0 0 12.5 6.25 6.25 0 0 0 0-12.5Zm0 2.5a3.75 3.75 0 1 1 0 7.499A3.75 3.75 0 0 1 15 11.25m6.563-4.375a1.562 1.562 0 1 0 0 3.125 1.562 1.562 0 0 0 0-3.125Z'/%3e%3c/svg%3e");
}

.social__img-instagram:hover {
  background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' fill='none'%3e%3cpath fill='%23EF4934' d='M16.285 2.5c1.406.004 2.12.011 2.736.029l.243.009c.28.01.556.022.89.037 1.33.063 2.237.272 3.034.581.825.318 1.52.748 2.215 1.442a6.135 6.135 0 0 1 1.44 2.215c.31.796.52 1.703.582 3.035.015.332.027.608.037.89l.008.242c.019.615.026 1.329.029 2.735l.001.933v1.637c.003.912-.006 1.823-.029 2.735l-.007.242c-.01.282-.023.558-.038.89-.062 1.332-.275 2.238-.582 3.035a6.104 6.104 0 0 1-1.442 2.215 6.145 6.145 0 0 1-2.215 1.442c-.796.308-1.703.518-3.033.581-.297.014-.593.026-.89.037l-.243.008c-.616.018-1.33.026-2.736.029l-.933.001h-1.636a97.88 97.88 0 0 1-2.736-.029l-.242-.007a80.145 80.145 0 0 1-.89-.039c-1.33-.063-2.238-.273-3.036-.581A6.111 6.111 0 0 1 4.6 25.402a6.13 6.13 0 0 1-1.443-2.215c-.309-.796-.519-1.703-.581-3.035a92.43 92.43 0 0 1-.038-.89l-.006-.242a98.799 98.799 0 0 1-.031-2.735v-2.57c-.003-.912.006-1.823.027-2.735l.01-.242c.01-.282.022-.558.037-.89.062-1.332.272-2.238.581-3.036A6.1 6.1 0 0 1 4.6 4.598a6.121 6.121 0 0 1 2.212-1.44c.798-.31 1.704-.52 3.035-.582.333-.015.61-.028.89-.038l.243-.007a98.758 98.758 0 0 1 2.735-.029l2.57-.001ZM15 8.75a6.25 6.25 0 1 0 0 12.5 6.25 6.25 0 0 0 0-12.5Zm0 2.5a3.75 3.75 0 1 1 0 7.499A3.75 3.75 0 0 1 15 11.25m6.563-4.375a1.562 1.562 0 1 0 0 3.125 1.562 1.562 0 0 0 0-3.125Z'/%3e%3c/svg%3e");
}

.social__img-facebook {
  background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' fill='none'%3e%3cpath fill='%23000' d='M26.125 2.5H3.875A1.375 1.375 0 0 0 2.5 3.875v22.25A1.375 1.375 0 0 0 3.875 27.5H15.85v-9.688H12.6v-3.75h3.25V11.25a4.55 4.55 0 0 1 4.85-5c.973-.006 1.945.044 2.913.15v3.375h-1.988c-1.575 0-1.875.75-1.875 1.838v2.412h3.75l-.488 3.75H19.75V27.5h6.375a1.375 1.375 0 0 0 1.375-1.375V3.875A1.375 1.375 0 0 0 26.125 2.5Z'/%3e%3c/svg%3e");
}

.social__img-facebook:hover {
  background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' fill='none'%3e%3cpath fill='%23EF4934' d='M26.125 2.5H3.875A1.375 1.375 0 0 0 2.5 3.875v22.25A1.375 1.375 0 0 0 3.875 27.5H15.85v-9.688H12.6v-3.75h3.25V11.25a4.55 4.55 0 0 1 4.85-5c.973-.006 1.945.044 2.913.15v3.375h-1.988c-1.575 0-1.875.75-1.875 1.838v2.412h3.75l-.488 3.75H19.75V27.5h6.375a1.375 1.375 0 0 0 1.375-1.375V3.875A1.375 1.375 0 0 0 26.125 2.5Z'/%3e%3c/svg%3e");
}

.social__img-linkedIn {
  background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' fill='none'%3e%3cpath fill='%23000' d='M23.75 3.75a2.5 2.5 0 0 1 2.5 2.5v17.5a2.5 2.5 0 0 1-2.5 2.5H6.25a2.5 2.5 0 0 1-2.5-2.5V6.25a2.5 2.5 0 0 1 2.5-2.5h17.5Zm-.625 19.375V16.5a4.075 4.075 0 0 0-4.075-4.075c-1.063 0-2.3.65-2.9 1.625v-1.388h-3.487v10.463h3.487v-6.163c0-.962.775-1.75 1.738-1.75a1.75 1.75 0 0 1 1.75 1.75v6.163h3.487ZM8.6 10.7a2.1 2.1 0 0 0 2.1-2.1 2.107 2.107 0 0 0-2.1-2.112A2.112 2.112 0 0 0 6.488 8.6c0 1.162.95 2.1 2.112 2.1Zm1.738 12.425V12.662H6.875v10.463h3.463Z'/%3e%3c/svg%3e");
}

.social__img-linkedIn:hover {
  background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' fill='none'%3e%3cpath fill='%23EF4934' d='M23.75 3.75a2.5 2.5 0 0 1 2.5 2.5v17.5a2.5 2.5 0 0 1-2.5 2.5H6.25a2.5 2.5 0 0 1-2.5-2.5V6.25a2.5 2.5 0 0 1 2.5-2.5h17.5Zm-.625 19.375V16.5a4.075 4.075 0 0 0-4.075-4.075c-1.063 0-2.3.65-2.9 1.625v-1.388h-3.487v10.463h3.487v-6.163c0-.962.775-1.75 1.738-1.75a1.75 1.75 0 0 1 1.75 1.75v6.163h3.487ZM8.6 10.7a2.1 2.1 0 0 0 2.1-2.1 2.107 2.107 0 0 0-2.1-2.112A2.112 2.112 0 0 0 6.488 8.6c0 1.162.95 2.1 2.112 2.1Zm1.738 12.425V12.662H6.875v10.463h3.463Z'/%3e%3c/svg%3e");
}

@media (max-width: 965px) {

  .card-container {
    margin: 50px 20px 0;
  }

  .card:hover {
    scale: 1.05;
  }
}
